Bug 637712 - RFE: rpmlint should check for address of FSF in files containing GPL license
RFE: rpmlint should check for address of FSF in files containing GPL license
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-27 04:09 EDT by Miroslav Suchý
Modified: 2011-05-03 21:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: rpmlint-1.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-09-27 04:09:04 EDT
Description of problem:
A lot of packages contain GPL license with old address of FSF. E.g:
            GNU GENERAL PUBLIC LICENSE
               Version 2, June 1991

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.
                          675 Mass Ave, Cambridge, MA 02139, USA


In license is section where user may require copy by snail mail, but that address is non funcional. New address is:
Free Software Foundation, Inc.
675 Mass Ave, Cambridge, MA 02139, USA

Rpmlint should check in files %doc section for strings containing both
 GNU GENERAL PUBLIC LICENSE
and
 675 Mass Ave, Cambridge, MA 02139, USA
and give warning that this address should be updated. Probably by downloading new version of this licence from FSF web.
Comment 1 Ville Skyttä 2010-09-27 12:03:44 EDT
No objections, just some thoughts and data points in no particular order in case someone thinks of implementing this:

1) Should probably check for outdated LGPL copies as well.

2) "licensecheck" from the rpmdevtools package (originates from Debian's devscripts) can already do this; if nothing else, its regex could be "borrowed".  Or perhaps even make rpmlint use licensecheck under the hood.
$ licensecheck /usr/bin/intltool-prepare 
/usr/bin/intltool-prepare: GPL (v2 or later) (with incorrect FSF address) 

3) The warning message identifier and description should be carefully constructed.  I don't think it would be appropriate for packagers to start fixing these (modifying license/copyright info); instead they should ask upstreams to take care of it.

4) It would be useful to do this for other files besides %doc, however it might be quite slow if done for *all* files.
Comment 2 Fedora Admin XMLRPC Client 2010-12-07 16:18:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Ville Skyttä 2011-03-06 17:27:25 EST
Done upstream, will be in the next release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1842
Comment 4 Fedora Update System 2011-04-24 22:09:41 EDT
rpmlint-1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
Comment 5 Fedora Update System 2011-04-24 22:10:09 EDT
rpmlint-1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc15
Comment 6 Fedora Update System 2011-04-24 22:10:36 EDT
rpmlint-1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc13
Comment 7 Fedora Update System 2011-04-25 16:54:01 EDT
Package rpmlint-1.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-30 23:26:23 EDT
rpmlint-1.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-05-03 20:59:51 EDT
rpmlint-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-05-03 21:01:08 EDT
rpmlint-1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.